<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><title>1.2.3. GFS2 Performance Improvements</title><link rel="stylesheet" href="./Common_Content/css/default.css" type="text/css"/><meta name="generator" content="publican"/><meta name="package" content="Red_Hat_Enterprise_Linux-Global_File_System_2-5-en-US-3-7"/><link rel="start" href="index.html" title="Global File System 2"/><link rel="up" href="s1-ov-newfeatures-GFS2.html" title="1.2. Differences between GFS and GFS2"/><link rel="prev" href="additional-diffs-GFS2.html" title="1.2.2. Additional Differences Between GFS and GFS2"/><link rel="next" href="ch-config.html" title="Chapter 2. Getting Started"/></head><body class=""><p id="title"><a class="left" href="http://www.redhat.com"><img src="Common_Content/images/image_left.png" alt="Product Site"/></a><a class="right" href="http://www.redhat.com/docs"><img src="Common_Content/images/image_right.png" alt="Documentation Site"/></a></p><ul class="docnav"><li class="previous"><a accesskey="p" href="additional-diffs-GFS2.html"><strong>Prev</strong></a></li><li class="next"><a accesskey="n" href="ch-config.html"><strong>Next</strong></a></li></ul><div class="section" lang="en-US"><div class="titlepage"><div><div><h3 class="title" id="GFS2-improvements">1.2.3. GFS2 Performance Improvements</h3></div></div></div><div class="para">
				There are many features of GFS2 filesystems that do not result in a difference in the user interface from GFS file systems but which improve file system performance.
			</div><div class="para">
				A GFS2 filesystem provides improved file system performance in the following ways:
			</div><div class="itemizedlist"><ul><li><div class="para">
						Better performance for heavy usage in a single directory.
					</div></li><li><div class="para">
						Faster synchronous I/O operations
					</div></li><li><div class="para">
						Faster cached reads (no locking overhead)
					</div></li><li><div class="para">
						Faster direct I/O with preallocated files (provided I/O size is reasonably large, such as 4M blocks)
					</div></li><li><div class="para">
						Faster I/O operations in general
					</div></li><li><div class="para">
						Execution of the <code class="command">df</code> command is much faster, because of faster <code class="command">statfs</code> calls.
					</div></li><li><div class="para">
						The <code class="command">atime</code> mode has been improved to reduce the number of write I/O operations generated by <code class="command">atime</code> when compared with GFS.
					</div></li></ul></div><div class="para">
				GFS2 file system provide broader and more mainstream support in the following ways.
			</div><div class="itemizedlist"><ul><li><div class="para">
						GFS2 is part of the upstream kernel (integrated into 2.6.19).
					</div></li><li><div class="para">
						GFS2 supports the following features:
					</div><div class="itemizedlist"><ul><li><div class="para">
								SELinux extended attributes.
							</div></li><li><div class="para">
								the <code class="command">lsattr</code>() and <code class="command">chattr</code>() attribute settings via standard <code class="command">ioctl</code>() calls.
							</div></li><li><div class="para">
								nanosecond timestamps
							</div></li></ul></div></li></ul></div><div class="para">
				A GFS2 file system provides the following improvements to the internal efficiency of the file system.
			</div><div class="itemizedlist"><ul><li><div class="para">
						GFS2 uses less kernel memory
					</div></li><li><div class="para">
						GFS2 requires no metadata generation numbers.
					</div><div class="para">
						Allocating GFS2 metadata does not require reads. Copies of metadata blocks in multiple journals are managed by revoking blocks from the journal before lock release.
					</div></li><li><div class="para">
						GFS2 includes a much simpler log manager that knows nothing about unlinked inodes or quota changes.
					</div></li><li><div class="para">
						The <code class="command">gfs2_grow</code> and <code class="command">gfs2_jadd</code> commands use locking to prevent multiple instances running at the same time.
					</div></li><li><div class="para">
						The ACL code on has been simplified for calls like <code class="command">creat</code>() and <code class="command">mkdir</code>().
					</div></li><li><div class="para">
						Unlinked inodes, quota changes, and <code class="command">statfs</code> changes are recovered without remounting the journal.
					</div></li></ul></div></div><ul class="docnav"><li class="previous"><a accesskey="p" href="additional-diffs-GFS2.html"><strong>Prev</strong>1.2.2. Additional Differences Between GFS and GFS2</a></li><li class="up"><a accesskey="u" href="#"><strong>Up</strong></a></li><li class="home"><a accesskey="h" href="index.html"><strong>Home</strong></a></li><li class="next"><a accesskey="n" href="ch-config.html"><strong>Next</strong>Chapter 2. Getting Started</a></li></ul></body></html>